<?php

namespace App\Entities\Tarifas\Maquinas;

use App\Entities\Configuracion\Maquina;
use App\Entities\Produccion\OrdenTrabajoEntity;
use App\Models\Configuracion\MaquinaModel;
use App\Models\OrdenTrabajo\OrdenTrabajoModel;
use CodeIgniter\Entity\Entity;


class MaquinaOtTareaEntity extends Entity
{
    protected $attributes = [
        "id" => null,
        "maquina_id" => null,
        "orden_trabajo_id" => null,
    ];
    protected $casts = [
        "id" => "integer",
        "maquina_id" => "integer",
        "orden_trabajo_id" => "integer",
    ];
    protected $dates   = ['created_at', 'updated_at', 'deleted_at'];
    /**
     * Orden de trabajo 
     *
     * @return OrdenTrabajoEntity
     */
    public function orden_trabajo_tarea(): OrdenTrabajoEntity
    {
        $m = model(OrdenTrabajoModel::class);
        return $m->find($this->attributes["orden_trabajo_id"]);
    }
    /**
     * Maquina
     *
     * @return Maquina
     */
    public function maquina(): Maquina
    {
        $m = model(MaquinaModel::class);
        return $m->find($this->attributes["maquina_id"]);
    }
}
